<nav class="navbar navbar-expand-lg navbar-primary bg-dark">      
    <ul class="nav nav-fill justify-content-center">
        <li class="nav-item">
            <a class="nav-link active" [routerLink]="'dashboard'" aria-current="page">Dashboard</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" [routerLink]="'pokemon'">Pokedex</a>
        </li>
    </ul>
    <ul *ngIf="isLoggedIn(); else loginBlock" class="nav nav-fill ms-auto">
        <li class="nav-item">
            <a class="nav-link" (click)="logout()">Logout</a>
        </li>
    </ul>
    <ng-template #loginBlock>
        <ul class="nav nav-fill ms-auto">
            <li class="nav-item">
                <a class="nav-link" [routerLink]="'login'">Login</a>
            </li>
        </ul>
    </ng-template>
</nav>